import java.awt.*;
import java.applet.*;
import java.awt.event.*;    //NEW IMPORT STATEMENT

public class MouseListenerApplet extends Applet implements MouseListener
{
   public void init()
   {
      setBackground(Color.red);
      addMouseListener(this);
   }
  
   public void paint(Graphics g) 
   {
      Graphics2D g2D = (Graphics2D)g;
      
      g2D.drawString("Play with your mouse and watch status bar below.", 0, 0);
   }

   public void mouseClicked(MouseEvent e)
   {
      showStatus("Mouse Clicked");
   }

   public void mouseEntered(MouseEvent e)
   {
      showStatus("Mouse Entered");
   } 

   public void mouseExited (MouseEvent e)
   {
      showStatus("Mouse Exited");      
   } 

   public void mousePressed(MouseEvent e)
   {
      showStatus("Mouse Pressed");
   }  

   public void mouseReleased(MouseEvent e)
   {
      showStatus("Mouse Released");
   }

}
